Bug 1794351 - [RFE]: Rolling_update fails on Dashboard role trying to create radosgw system user on Multiste secondary
Summary: [RFE]: Rolling_update fails on Dashboard role trying to create radosgw system...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.0
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: rc
: 4.1
Assignee: Dimitri Savineau
QA Contact: Vasishta
Bara Ancincova
URL:
Whiteboard:
: 1795687 1795715 (view as bug list)
Depends On:
Blocks: 1730176 1750994 1816167
TreeView+ depends on / blocked
 
Reported: 2020-01-23 11:33 UTC by Tejas
Modified: 2020-06-04 20:26 UTC (History)
16 users (show)

Fixed In Version: ceph-ansible-4.0.15-1.el8, ceph-ansible-4.0.15-1.el7
Doc Type: Bug Fix
Doc Text:
.Ansible upgrades a multisite Ceph Object Gateway when the Dashboard is enabled Previously, when {storage-product} Dashboard is enabled and an attempt to use Ansible to upgrade to a later version of {product} is made, the upgrade to the secondary Ceph Object Gateway site in a multisite setup failed. With this update to {storage-product}, upgrade of the secondary site works as expected.
Clone Of:
Environment:
Last Closed: 2020-05-19 17:32:06 UTC
Target Upstream Version:
hyelloji: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 4714 None closed rgw: don't create user on secondary zones 2020-10-22 07:07:51 UTC
Red Hat Product Errata RHSA-2020:2231 None None None 2020-05-19 17:32:51 UTC

Description Tejas 2020-01-23 11:33:07 UTC
Description of problem:


ceph-ansible-4.0.11-1.el7cp
We have a RGW multisite setup with Dashboard enabled on both clusters.
When trying to upgrade the multisite secondary rolling_update.yaml fails trying to create RGW system user.
This is because the expected behaviour has changed from RGW stand point, and we need to add "--yes-i-really-mean-it" to any user creation on multiste secondary.

This creates a problem since this is not required on primary cluster, hence creating an RFE as we need to figure this out.

Ansible code :
radosgw-admin user create --uid={{ dashboard_rgw_api_user_id }} --system


Failure step:

TASK [ceph-dashboard : create radosgw system user] *******************************************************************************************************************************************************************************************
Thursday 23 January 2020  08:09:41 +0000 (0:00:00.905)       1:27:43.977 ******
FAILED - RETRYING: create radosgw system user (3 retries left).
FAILED - RETRYING: create radosgw system user (2 retries left).
FAILED - RETRYING: create radosgw system user (1 retries left).
fatal: [extensa010.ceph.redhat.com -> extensa010.ceph.redhat.com]: FAILED! => changed=true 
  attempts: 3
  cmd:
  - timeout
  - --foreground
  - -s
  - KILL
  - '20'
  - radosgw-admin
  - --cluster
  - ceph
  - user
  - create
  - --uid=ceph-dashboard
  - --display-name=Ceph dashboard
  - --system
  delta: '0:00:00.156309'
  end: '2020-01-23 08:09:58.168867'
  msg: non-zero return code
  rc: 22
  start: '2020-01-23 08:09:58.012558'
  stderr: |-
    Please run the command on master zone. Performing this operation on non-master zone leads to inconsistent metadata between zones
    Are you sure you want to go ahead? (requires --yes-i-really-mean-it)
  stderr_lines: <omitted>
  stdout: ''
  stdout_lines: <omitted>

Comment 4 Guillaume Abrioux 2020-01-29 09:28:39 UTC
*** Bug 1795715 has been marked as a duplicate of this bug. ***

Comment 6 Guillaume Abrioux 2020-02-18 15:24:37 UTC
*** Bug 1795687 has been marked as a duplicate of this bug. ***

Comment 11 Vasishta 2020-05-11 06:10:48 UTC
Worked fine with ceph-ansible-4.0.23-1.el7cp.noarch
Moving to verified state.

Comment 13 errata-xmlrpc 2020-05-19 17:32:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:2231

Comment 14 John Brier 2020-06-04 20:26:41 UTC
Update Doc Text to be a Bug Fix as requested in Bug 1843827. Just need to rebuild the Release Notes with the CoRN script now.


Note You need to log in before you can comment on or make changes to this bug.